<?php

namespace App\Imports;

use App\Models\CompanyContactsModel;
use App\Models\CompanyInfoModel;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;

class CompanyInfoImport implements ToCollection
{
    /**
    * @param Collection $collection
    */
    public function collection(Collection $collection)
    {
        foreach ($collection as $key => $row){
            if ($key ==0 ) continue;
            $isExisted = CompanyInfoModel::where('companyName',$row[1])->first();
            if($isExisted){
                $company_id = $isExisted->id;
            }else{
                $data['companyName'] = $row[1];
                $data['legalPerson'] = $row[8];
                $data['startDate'] = $row[9];
                $data['regCapital'] = (int)$row[10];
                $data['regAddr'] = $row[11];
                $res = CompanyInfoModel::create($data);
                $company_id = $res->id;
            }
            CompanyContactsModel::create([
                'company_id'=> $company_id,
                'linkman'=> $row[2],
                'phone'=> $row[3]?$row[3]:$row[4],
                'email'=> $row[5],
                'qq'=> $row[6]
            ]);
        }
    }
}
